Date: Mon, 13 Oct 1997 14:41:43 +0200
From: Roman Hodek <rnhodek@faui22c.informatik.uni-erlangen.de>
To: linux-m68k@lists.linux-m68k.org
In-Reply-To: <34420B24.70743A4A@ifremer.fr> (message from David Cure on Mon,
	13 Oct 1997 13:51:00 +0200)
Subject: Re: L68K: 2.1.57 & SLM
Sender: owner-linux-m68k@phil.uni-sb.de


> 	  When I compile 2.1.57 with SLM support directly in kernel, I've
> got a error in acsi.c : the prototype of attach_slm doesn't match the
> declaration of this fonction :
> 
> 	  In asci.c : extern void attach_slm(...).
> 	  In slm.c : int attach_slm(...).
> 
> 	  To compile, I've change the prototype in asci.c, is it right ?

Yup, the correct return type is int. I haven't compiled the SLM driver
not as a module for a long time :-)

For Jes, here is also a real patch.

Roman

------------------------------------------------------------------------------
--- linux-2.1.57/drivers/block/acsi.c~	Mon Oct 13 14:34:30 1997
+++ linux-2.1.57/drivers/block/acsi.c	Mon Oct 13 14:34:49 1997
@@ -389,7 +389,7 @@
 
 #ifdef CONFIG_ATARI_SLM
 
-extern void attach_slm( int target, int lun );
+extern int attach_slm( int target, int lun );
 extern int slm_init( void );
 
 #endif
